summaryrefslogtreecommitdiff
path: root/dist/travis/before_script.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2017-04-25 17:26:37 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2017-04-25 17:26:37 +0200
commit8266109953e01663ab828b1fbd77932c975b1ca9 (patch)
tree15229ba4f8a58cdc33b1a99268cc7b4df82ea89e /dist/travis/before_script.sh
parentc46113823e5bde62ef5a1ff53ec26d954b3ff53e (diff)
downloadcssh-8266109953e01663ab828b1fbd77932c975b1ca9.tar.gz
cssh-8266109953e01663ab828b1fbd77932c975b1ca9.tar.bz2
Travis fixes
Diffstat (limited to 'dist/travis/before_script.sh')
-rw-r--r--dist/travis/before_script.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/dist/travis/before_script.sh b/dist/travis/before_script.sh
index 7538bb5..8a6f397 100644
--- a/dist/travis/before_script.sh
+++ b/dist/travis/before_script.sh
@@ -9,14 +9,20 @@ case $OS in
sudo apt-get update -qq
sudo apt-get install -y \
cmake \
+ gengetopt \
libssh-dev
;;
Darwin)
brew update
+ if test "X$CC" = "Xgcc"; then
+ brew install gcc48 --enable-all-languages || true
+ brew link --force gcc48 || true
+ fi
brew install \
cmake \
libssh \
+ gengetopt \
gettext \
|| true
# make sure cmake finds the brew version of gettext